## python-osc-lib 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT

Babel>=2.3.4 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
os-client-config!=1.19.0,!=1.19.1,!=1.20.0,>=1.13.1 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
simplejson>=2.2.0 # MIT
stevedore>=1.16.0 # Apache-2.0

=== debian/changelog ===
python-osc-lib (1.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed osltest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:39 +0200

python-osc-lib (1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Blacklist failing tests:
    - TestShellCli.test_shell_args_cert_options
    - TestShellCli.test_shell_args_tls_options

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 17:06:53 +0200

python-osc-lib (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #830874)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 15:05:46 +0200

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.10.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.13.1),
                     python-os-testr (>= 0.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-pbr (>= 1.6),
                     python-requests-mock (>= 1.0),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneauth1 (>= 2.10.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-pbr (>= 1.6),
                     python3-requests-mock (>= 1.0),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-testtools (>= 1.4.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-osc-lib?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/git/openstack/deb-python-osc-lib -b debian/newton
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-keystoneauth1 (>= 2.10.0),
         python-os-client-config (>= 1.13.1),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.6),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python3-osc-lib
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-keystoneauth1 (>= 2.10.0),
         python3-os-client-config (>= 1.13.1),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.6),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/osc-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-osc-lib 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
six>=1.9.0 # MIT

Babel>=2.3.4 # BSD
cliff>=2.3.0 # Apache-2.0
keystoneauth1>=2.16.0 # Apache-2.0
os-client-config>=1.22.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
simplejson>=2.2.0 # MIT
stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
python-osc-lib (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Mon, 14 Aug 2017 15:20:00 +0200

python-osc-lib (1.1.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:08:55 +0100

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python-pbr,
               python-sphinx,
               python3-all,
               python3-setuptools,
               python3-pbr,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-bandit (>= 1.1.0),
                     python-cliff (>= 2.3.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.16.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.22.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-stevedore (>= 1.17.1),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-bandit (>= 1.1.0),
                     python3-cliff (>= 2.3.0),
                     python3-coverage,
                     python3-fixtures (>= 3.0.0),
                     python3-hacking,
                     python3-keystoneauth1 (>= 2.16.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.22.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-stevedore (>= 1.17.1),
                     python3-testtools (>= 1.4.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-osc-lib.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-osc-lib.git -b debian/ocata
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 2.3.0),
         python-keystoneauth1 (>= 2.16.0),
         python-os-client-config (>= 1.22.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python3-osc-lib
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 2.3.0),
         python3-keystoneauth1 (>= 2.16.0),
         python3-os-client-config (>= 1.22.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

## python-osc-lib 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT

Babel!=2.4.0,>=2.3.4 # BSD
cliff>=2.6.0 # Apache-2.0
keystoneauth1>=2.21.0 # Apache-2.0
os-client-config>=1.27.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
simplejson>=2.2.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-osc-lib (1.7.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 06:50:06 +0000

python-osc-lib (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:13:11 -0400

python-osc-lib (1.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 15 May 2017 18:05:39 +0100

python-osc-lib (1.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:01 +0100

python-osc-lib (1.3.0-0ubuntu1.2) zesty; urgency=medium

  * d/control: Drop python-bandit as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 14:39:59 -0500

python-osc-lib (1.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 09:33:00 -0500

python-osc-lib (1.2.0-1ubuntu2) zesty; urgency=medium

  * debian/tests: Add autopkgtest 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Nov 2016 12:35:12 -0400

python-osc-lib (1.2.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 13:55:04 -0400

python-osc-lib (1.1.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 13:42:52 -0400

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python-pbr (>= 2.0.0),
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-setuptools,
               python3-pbr (>= 2.0.0),
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 2.3.0),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.21.0),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-client-config (>= 1.27.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.5.1),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 2.3.0),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-keystoneauth1 (>= 2.21.0),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-client-config (>= 1.27.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.5.1),
                     python3-stevedore (>= 1.20.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-keystoneauth1 (>= 2.21.0),
         python-os-client-config (>= 1.27.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.20.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python3-osc-lib
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-keystoneauth1 (>= 2.21.0),
         python3-os-client-config (>= 1.27.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.20.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

## python-osc-lib 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT

Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
openstacksdk>=0.9.19 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
simplejson>=3.5.1 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-osc-lib (1.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 14:19:10 -0500

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-openstacksdk (>= 0.9.19),
 python-os-client-config (>= 1.28.0),
 python-os-testr (>= 1.0.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:1.10.0),
 python-osprofiler (>= 1.4.0),
 python-requests-mock (>= 1.1.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.2),
 python-stevedore (>= 1:1.20.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.10.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-openstacksdk (>= 0.9.19),
 python3-os-client-config (>= 1.28.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstacksdk (>= 0.9.19),
 python-os-client-config (>= 1.28.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstacksdk (>= 0.9.19),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
+	pkgos-dh_auto_test
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Tests: osc-lib
Depends: python-osc-lib

## python-osc-lib 1.11.1

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,8 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
-openstacksdk>=0.9.19 # Apache-2.0
-os-client-config>=1.28.0 # Apache-2.0
+keystoneauth1>=3.7.0 # Apache-2.0
+openstacksdk>=0.15.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 simplejson>=3.5.1 # MIT

=== debian/changelog ===
python-osc-lib (1.11.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:39:18 +0200

python-osc-lib (1.11.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building doc with Python 3.
  * Add fix-py37-issubclass.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 00:30:38 +0200

python-osc-lib (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:33 +0000

python-osc-lib (1.9.0-1) experimental; urgency=medium

  * Points VCS URLs to https://salsa.debian.org/openstack-team/.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 07:30:57 +0000

python-osc-lib (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:02:15 +0000

python-osc-lib (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 13:12:10 +0200

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-cliff (>= 2.6.0),
 python-coverage,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.7.0),
 python-mock,
 python-openstacksdk (>= 0.15.0),
 python-os-testr (>= 0.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests-mock (>= 1.1),
 python-simplejson,
 python-six,
 python-stevedore (>= 1.20.0),
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-fixtures,
 python3-keystoneauth1 (>= 3.7.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.15.0),
 python3-os-testr (>= 0.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests-mock (>= 1.1),
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stevedore (>= 1.20.0),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-osc-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-osc-lib.git
Homepage: http://docs.openstack.org/developer/osc-lib

Package: python-osc-lib
Architecture: all
Depends:
 python-babel,
 python-cliff (>= 2.6.0),
 python-keystoneauth1 (>= 3.7.0),
 python-openstacksdk (>= 0.15.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-simplejson,
 python-six,
 python-stevedore (>= 1.16.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.6.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-openstacksdk (>= 0.15.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-simplejson,
 python3-six,
 python3-stevedore (>= 1.16.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-osc-lib 1.12.1

=== debian/changelog ===
python-osc-lib (1.12.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2019 10:50:17 +0000

python-osc-lib (1.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:40:52 +0000

python-osc-lib (1.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.
  * d/p/fix-py37-issubclass.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 12:41:49 -0500

python-osc-lib (1.11.1-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/p/fix-py37-issubclass.patch: Update and rework.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 08:45:04 +0100

python-osc-lib (1.11.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-py37-issubclass.patch: Cherry-picked from upstream master to fix
    py3.7 issubclass error "TypeError: issubclass() arg 1 must be a class".
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 09:44:11 -0400

python-osc-lib (1.10.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 10:21:45 -0400

=== debian/control ===
Source: python-osc-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-bandit (>= 1.1.0),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 3.7.0),
 python-mock (>= 2.0.0),
 python-openstacksdk (>= 0.15.0),
 python-os-client-config (>= 1.28.0),
 python-os-testr (>= 1.0.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests-mock (>= 1.1.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.10.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
Homepage: http://docs.openstack.org/developer/osc-lib
Testsuite: autopkgtest-pkg-python

Package: python-osc-lib
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.7.0),
 python-openstacksdk (>= 0.15.0),
 python-os-client-config (>= 1.28.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 2.7
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 2.7 module.

Package: python-osc-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient Library - doc
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the documentation.

Package: python3-osc-lib
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-openstacksdk (>= 0.15.0),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-lib-doc,
Description: OpenStackClient Library - Python 3.x
 OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
 package of common support modules for writing OSC plugins.
 .
 This package contains the Python 3.x module.

## python-osc-lib 1.14.1

=== debian/changelog ===
python-osc-lib (1.14.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 00:48:35 +0000

python-osc-lib (1.14.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:19:33 -0400

python-osc-lib (1.13.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:45:49 -0400

python-osc-lib (1.12.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-osc-lib binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 11:06:18 +0200

=== debian/control ===
--- 
+++ 
@@ -17,27 +17,6 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-bandit (>= 1.1.0),
- python-cliff (>= 2.8.0),
- python-coverage (>= 4.0),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.10.0),
- python-keystoneauth1 (>= 3.7.0),
- python-mock (>= 2.0.0),
- python-openstacksdk (>= 0.15.0),
- python-os-client-config (>= 1.28.0),
- python-os-testr (>= 1.0.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-requests-mock (>= 1.1.0),
- python-simplejson (>= 3.5.1),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
- python-testrepository (>= 0.0.18),
- python-testtools (>= 2.2.0),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
  python3-cliff (>= 2.8.0),
@@ -62,36 +41,11 @@
  python3-stevedore (>= 1:1.20.0),
  python3-testrepository (>= 0.0.18),
  python3-testtools (>= 2.2.0),
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
 Homepage: http://docs.openstack.org/developer/osc-lib
 Testsuite: autopkgtest-pkg-python
-
-Package: python-osc-lib
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-cliff (>= 2.8.0),
- python-keystoneauth1 (>= 3.7.0),
- python-openstacksdk (>= 0.15.0),
- python-os-client-config (>= 1.28.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-simplejson (>= 3.5.1),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-osc-lib-doc,
-Description: OpenStackClient Library - Python 2.7
- OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib is a
- package of common support modules for writing OSC plugins.
- .
- This package contains the Python 2.7 module.
 
 Package: python-osc-lib-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,19 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
+	pkgos-dh_auto_test --no-py2 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
+	sphinx-build -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-osc-lib 2.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

=== debian/changelog ===
python-osc-lib (2.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Add autopkgtest-pkg-python.
    - d/control: Drop BD's on python-* packages.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:29:36 +0000

python-osc-lib (1.14.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:32:32 +0200

python-osc-lib (1.14.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 10:43:55 +0200

python-osc-lib (1.12.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 22:06:31 +0200

python-osc-lib (1.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py37-issubclass.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 20:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,15 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-bandit (>= 1.1.0),
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
@@ -27,21 +23,19 @@
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-openstacksdk (>= 0.15.0),
- python3-os-client-config (>= 1.28.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
- python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.1.0),
  python3-simplejson (>= 3.5.1),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stevedore (>= 1:1.20.0),
- python3-testrepository (>= 0.0.18),
  python3-testtools (>= 2.2.0),
-Standards-Version: 4.1.3
+ testrepository,
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osc-lib
 Homepage: http://docs.openstack.org/developer/osc-lib

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/osc-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'osc_lib\.tests\.(?!(.*TestShellCli\.test_shell_args_cert_options.*|.*TestShellCli\.test_shell_args_tls_options.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-lib-doc/usr/share/doc/python-osc-lib-doc/html
	dh_sphinxdoc
endif
